/***************************************************************************
                          apollonbrowseitemview.h  -  description
                             -------------------
begin		: Dec 05 2003
copyright	: (C) 2002 by Bastiaan Naber, (C) 2002 by Robert Wittams
email		: bastiaan@ricardis.tudelft.nl
description	: 

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef APOLLONBROWSEVIEWITEM_H
#define APOLLONBROWSEVIEWITEM_H

#include <qlistview.h>
#include <qstring.h>
#include <qdict.h>

class ApollonBrowseViewItem : public QListViewItem
{
	public:
		ApollonBrowseViewItem(QListViewItem *parent);
		~ApollonBrowseViewItem();

		QString text(int col) const;
		QString key(int column, bool ascending) const;

		QString user()     { return m_user; };
		QString hash()     { return m_hash; };
		QString size()     { return m_size; };
		QString url()      { return m_url; };
		QString fileName() { return m_file; };

		void setUser(QString user)     { m_user = user; }
		void setHash(QString hash)     { m_hash = hash; }
		void setSize(QString size)     { m_size = size; }
		void setUrl(QString url)       { m_url = url; }
		void setFileName(QString file) { m_file = file; }

	private:
		QString m_user;
		QString m_hash;
		QString m_size;
		QString m_url;
		QString m_file;
};

#endif
